# Delete Transactions

> Source: https://truto.one/docs/api-reference/unified-accounting-api/transactions/delete/

`DELETE /unified/accounting/transactions/{id}`

Resource: **Transactions** · API: **Unified Accounting API**

## Supported integrations

QuickBooks

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`transaction_type`** _(string)_
  The type of the transaction
  Allowed: `credit_card`, `deposit`, `estimate`, `receive`, `receive_overpayment`, `receive_prepayment`, `refund`, `spend`, `spend_overpayment`, `spend_prepayment`, `transfer`

## Response body

- **`id`** _(string, required)_
  The unique identifier for transactions
- **`number`** _(string)_
  The number of the transaction
- **`transaction_type`** _(string)_
  The type of the transaction
  Allowed: `refund`, `deposit`, `estimate`, `transfer`, `credit_card`, `spend`, `receive`, `receive_overpayment`, `receive_prepayment`, `spend_overpayment`, `spend_prepayment`
- **`transaction_date`** _(string)_
  The date upon which the transaction occurred
- **`account`** _(string)_
  The account which receives the transaction
- **`account_from`** _(string)_
  The account which initiates the transaction
- **`contact`** _(string)_
  The contact to whom the transaction relates to
- **`total_amount`** _(string)_
  The total amount of the transaction
- **`currency`** _(string)_
  The currency of the transaction
- **`exchange_rate`** _(string)_
  The exchange rate of the transaction
- **`company`** _(string)_
  The company the transaction belongs to
- **`line_items`** _(array<object>)_
  - **`id`** _(string)_
    The unique identifier for line item
  - **`name`** _(string)_
    The name of the line item
  - **`description`** _(string)_
    The description of the line item
  - **`item`** _(string)_
    The ID of the item
  - **`account`** _(string)_
    The ID of the account
  - **`quantity`** _(number)_
    The quantity of the line item
  - **`unit_price`** _(number)_
    The unit price of the line item
  - **`tax_rate`** _(string)_
    The ID of the tax rate
  - **`total_line_amount`** _(number)_
    The total line amount of the line item.
  - **`type`** _(string)_
    The type of the line item
  - **`tracking_categories`** _(array<object>)_
    Tracking categories of the line item
    - **`id`** _(string)_
      The ID of the tracking category
    - **`name`** _(string)_
      The name of the tracking category
    - **`option`** _(string)_
      The option of the tracking category
  - **`currency`** _(string)_
    The currency of the line item
  - **`exchange_rate`** _(number)_
    The exchange rate of the currency for the line item
- **`tracking_categories`** _(array<object>)_
  Tracking categories of the transaction
  - **`id`** _(string, required)_
    The unique identifier for tracking categories
  - **`name`** _(string)_
    The name of the tracking category
- **`created_at`** _(string)_
  This represents the date when the transaction was created
- **`updated_at`** _(string)_
  This represents the date when the transaction was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X DELETE 'https://api.truto.one/unified/accounting/transactions/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/transactions/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/accounting/transactions/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'accounting',
  'transactions',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "accounting",
        "transactions",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
